aboutsummaryrefslogtreecommitdiff
path: root/rand/utils/ci/install_cargo_web.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rand/utils/ci/install_cargo_web.sh')
-rwxr-xr-xrand/utils/ci/install_cargo_web.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/rand/utils/ci/install_cargo_web.sh b/rand/utils/ci/install_cargo_web.sh
new file mode 100755
index 0000000..b35f069
--- /dev/null
+++ b/rand/utils/ci/install_cargo_web.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -euo pipefail
+IFS=$'\n\t'
+
+CARGO_WEB_RELEASE=$(curl -L -s -H 'Accept: application/json' https://github.com/koute/cargo-web/releases/latest)
+CARGO_WEB_VERSION=$(echo $CARGO_WEB_RELEASE | sed -e 's/.*"tag_name":"\([^"]*\)".*/\1/')
+CARGO_WEB_URL="https://github.com/koute/cargo-web/releases/download/$CARGO_WEB_VERSION/cargo-web-x86_64-unknown-linux-gnu.gz"
+
+echo "Downloading cargo-web from: $CARGO_WEB_URL"
+curl -L $CARGO_WEB_URL | gzip -d > cargo-web
+chmod +x cargo-web
+
+mkdir -p ~/.cargo/bin
+mv cargo-web ~/.cargo/bin